
#Chimneys
scoreboard players add smoke_anim value 1
##Fisher Hut
execute if score smoke_anim value matches 1 run particle minecraft:campfire_tall_smoke_particle 274.67 -23.50 758.34
execute if score smoke_anim value matches 4 run particle minecraft:campfire_smoke_particle 274.73 -23.50 759.79
execute if score smoke_anim value matches 7 run particle minecraft:campfire_tall_smoke_particle 274.16 -23.50 759.23
execute if score smoke_anim value matches 11 run particle minecraft:campfire_smoke_particle 274.30 -23.50 758.84
##Tree Logging
execute if score smoke_anim value matches 1 run particle minecraft:campfire_tall_smoke_particle -20.0 -13 714.0
execute if score smoke_anim value matches 4 run particle minecraft:campfire_smoke_particle -20.49 -13 714.37
execute if score smoke_anim value matches 7 run particle minecraft:campfire_tall_smoke_particle -20.17 -13 713.23
execute if score smoke_anim value matches 8 run particle minecraft:campfire_smoke_particle -19.30 -13 713.74
execute if score smoke_anim value matches 11 run particle minecraft:campfire_smoke_particle -19.73 -13 714.28
##Santas Workshop
execute if score smoke_anim value matches 1 run particle minecraft:campfire_tall_smoke_particle 700.25 7.50 437.30
execute if score smoke_anim value matches 3 run particle minecraft:campfire_smoke_particle 699.05 7.50 437.54
execute if score smoke_anim value matches 5 run particle minecraft:campfire_smoke_particle 700.12 7.50 436.49
execute if score smoke_anim value matches 7 run particle minecraft:campfire_tall_smoke_particle 698.51 7.50 437.01
execute if score smoke_anim value matches 8 run particle minecraft:campfire_smoke_particle 699.78 7.50 437.44
execute if score smoke_anim value matches 10 run particle minecraft:campfire_smoke_particle 698.53 7.50 436.26
execute if score smoke_anim value matches 11 run particle minecraft:campfire_tall_smoke_particle 699.51 7.50 436.25
##Reset Loop
execute if score smoke_anim value matches 13 run scoreboard players set smoke_anim value 0


function snowball_range/loop
function avalanche/loop
function snowball_fight/loop
function inventory/loop
function workshop/loop
function tree_logging/loop

#furniture
execute as @a at @s run function furniture/check
execute as @a[tag=editing_furniture,hasitem={item=podcrash:exit_furniture,quantity=0}] run give @s podcrash:exit_furniture
execute as @a[tag=editing_furniture,hasitem={item=podcrash:furniture_tool,quantity=0}] run give @s podcrash:furniture_tool
execute as @a[tag=editing_furniture] run effect @s mining_fatigue 100000 10 true

#freeze
execute as @a at @s if block ~ ~ ~ minecraft:water unless entity @e[type=podcrash:raft,r=5] run scoreboard players add @s freeze 1
execute as @a at @s if block ~ ~ ~ minecraft:powder_snow run scoreboard players add @s freeze 1
execute as @a at @s unless block ~ ~ ~ minecraft:water unless block ~ ~ ~ minecraft:powder_snow if score @s freeze matches 0.. run scoreboard players remove @s freeze 4
execute as @a if score @s freeze < min_freeze value run scoreboard players operation @s freeze = min_freeze value
execute as @a if score @s freeze > max_freeze value run scoreboard players operation @s freeze = max_freeze value
execute as @a if score @s freeze = max_freeze value at @s run function freeze

scoreboard players add @a value 1
kill @e[type=xp_orb]
effect @a saturation 100 10 true

execute as @a unless score @s axe = @s axe run scoreboard players set @s axe 0 
execute as @a unless score @s snow_shovel = @s snow_shovel run scoreboard players set @s snow_shovel 0 
execute as @a unless score @s horse = @s horse run scoreboard players set @s nick_cooldown 6000
execute as @a unless score @s nick_cooldown = @s nick_cooldown run scoreboard players set @s nick_cooldown 6000

scoreboard players add @a nick_cooldown 1

execute as @a if block -24 -32 1049 lit_redstone_lamp unless entity @s[x=-25.5,y=-25,z=1049.5,r=12] at @s run particle podcrash:snow ^ ^ ^10

execute as @e[type=podcrash:raft] at @s unless entity @a[r=5] run scoreboard players add @s value 1
execute as @e[type=podcrash:raft] at @s if entity @a[r=5] run scoreboard players set @s value 0
execute as @e[type=podcrash:raft] if score @s value matches 6000 run event entity @s podcrash:despawn
execute as @e[type=minecraft:horse] run scoreboard players add @s age 1
execute as @e[type=minecraft:horse] at @s if score @s age matches 5.. unless entity @a[r=3] run event entity @s podcrash:despawn 