#Detect Player in Snowball Range Area
execute as @a[tag=!playing_snowball_range] if entity @s[x=-150.0, y=-24, z=480.0, dx=27, dy=10, dz=-9] run function snowball_range/start_playing
execute as @a[tag=playing_snowball_range] unless entity @s[x=-150.0, y=-24, z=480.0, dx=27, dy=10, dz=-9] run function snowball_range/leave_area

#Inventory Stuff
execute as @a[tag=playing_snowball_range,hasitem={item=minecraft:snowball,location=slot.weapon.mainhand,quantity=0}] run clear @s
execute as @a[tag=playing_snowball_range,hasitem={item=minecraft:snowball,quantity=0}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:snowball

#Timer
execute as @a[tag=playing_snowball_range] run scoreboard players add @s timer 1
execute as @a[tag=playing_snowball_range] if score @s timer matches 20 if score @s timerS matches 0 if score @s timerM matches 0 run function snowball_range/time_up
execute as @a[tag=playing_snowball_range] if score @s timer matches 20 if score @s timerS matches 0 run scoreboard players remove @s timerM 1
execute as @a[tag=playing_snowball_range] if score @s timer matches 20 if score @s timerS matches 0 run scoreboard players set @s timerS 60
execute as @a[tag=playing_snowball_range] if score @s timer matches 20 unless score @s timerS matches 0 run scoreboard players remove @s timerS 1
execute as @a[tag=playing_snowball_range] if score @s timer matches 20 run scoreboard players set @s timer 0

#Actionbar Display
execute as @a[tag=playing_snowball_range] if score @s timerS matches 10.. run titleraw @s actionbar { "rawtext": [ { "translate": "game.snowball_range.actionbar_1" }, { "text": "0" }, { "score": {"name": "@s", "objective": "timerM" } }, { "text": ":" }, { "score": {"name": "@s", "objective": "timerS" } }, { "translate": "game.snowball_range.actionbar_2" }, { "score": {"name": "@s", "objective": "snowball_range_score" } } ] }
execute as @a[tag=playing_snowball_range] if score @s timerS matches 0..9 run titleraw @s actionbar { "rawtext": [ { "translate": "game.snowball_range.actionbar_1" }, { "text": "0" }, { "score": {"name": "@s", "objective": "timerM" } }, { "text": ":0" }, { "score": {"name": "@s", "objective": "timerS" } }, { "translate": "game.snowball_range.actionbar_2" }, { "score": {"name": "@s", "objective": "snowball_range_score" } } ] }

#Targets
execute as @e[family=sr_fast] at @s run tp @s ^ ^ ^0.2
execute as @e[family=sr_slow] at @s run tp @s ^ ^ ^0.1

execute positioned -116.5 -26 460.5 as @e[family=sr_target,r=1] run event entity @s podcrash:despawn
execute positioned -156.5 -22 449.5 as @e[family=sr_target,r=1] run event entity @s podcrash:despawn
execute positioned -116.5 -18 438.5 as @e[family=sr_target,r=1] run event entity @s podcrash:despawn

##Target Spawning
scoreboard players add sr_spawner timer 1
execute if score sr_spawner timer matches 30 run scoreboard players set sr_spawner timer 0
execute if score sr_spawner timer matches 0 if score snowball_range_players value matches 1.. run scriptevent podcrash:sr_spawn