import { runCmd } from "../utils";

const entity = [ "minecraft:polar_bear", "minecraft:snow_golem", "minecraft:wolf" ];

export function summon() {
    var random = Math.random() * 6 | 0;
    if(random==0) runCmd(`/summon ${entity[Math.random() * 3 | 0]} -154.5 -26 460.5 facing -118.5 -26 460.5 podcrash:random`);
    random = Math.random() * 4 | 0;
    if(random==0) runCmd(`/summon ${entity[Math.random() * 3 | 0]} -118.5 -22 449.5 facing -154.5 -22 449.5 podcrash:random`);
    random = Math.random() * 2 | 0;
    if(random==0) runCmd(`/summon ${entity[Math.random() * 3 | 0]} -154.5 -18 438.5 facing -118.5 -18 438.5 podcrash:random`);
}

export function handleHit(data) {
    let player = data.source;
    let score = data.getEntityHit().entity.getComponent("minecraft:variant").value;
    let z = data.getEntityHit().entity.location.z;
    score = z==449.5?score*2:z==438.5?score*3:score;
    player.runCommand(`/scoreboard players add @s snowball_range_score ${score}`);
    player.runCommand(`/title @s times 0 20 0`);
    player.runCommand(`/title @s subtitle §a+${score}`);
    player.runCommand(`/titleraw @s title {"rawtext":[{"text":" "}]}`);
    data.getEntityHit().entity.runCommand("/event entity @s podcrash:despawn");
}